From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ansi2html/
Date: Wed, 18 Nov 2020 14:21:58 +0000 (UTC) [thread overview]
Message-ID: <1605709212.a5eca1d81ba49e761ac15de146c75b0d38708b48.sping@gentoo> (raw)
commit: a5eca1d81ba49e761ac15de146c75b0d38708b48
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 14:18:46 2020 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Nov 18 14:20:12 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5eca1d8
dev-python/ansi2html: 1.6.0
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.0, Repoman-2.3.23
dev-python/ansi2html/Manifest | 1 +
dev-python/ansi2html/ansi2html-1.6.0.ebuild | 50 +++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/ansi2html/Manifest b/dev-python/ansi2html/Manifest
index 02afa974933..39861ac51fc 100644
--- a/dev-python/ansi2html/Manifest
+++ b/dev-python/ansi2html/Manifest
@@ -1 +1,2 @@
DIST ansi2html-1.5.2.tar.gz 27124 BLAKE2B 0d02e8cea46622c4d2cbd06f06fd31b3c7e93d61f6b9eadb37815d2ee490b6ce4233fb019f175f61465ef89520a944bbe14543627a6421a64304b58dc038c0ca SHA512 163d5784d04e6eea0847676b967051382fa74a354c19462d1b73980fd1b0a7eb45ce1f1bd88cca803356e7767ccab1bbce6de4152c98aec98534f4ed7d65a83f
+DIST ansi2html-1.6.0.tar.gz 36053 BLAKE2B deb63c6c9f431ff225cfcbbd2995f0fce9535736dba7d8c92f1f2e51d525640e69bc4269ab073438239edb35815288fa17b2d69c89cca7627ba2b5096009611f SHA512 35e5fb6cee96fe41a658c005734a58b08bc05e8ad5903ad18684c316bdad351a70c534b4162416225bc2ca774d01b4ac1bb8a8dad3170d0738aa7b3daf46b3c0
diff --git a/dev-python/ansi2html/ansi2html-1.6.0.ebuild b/dev-python/ansi2html/ansi2html-1.6.0.ebuild
new file mode 100644
index 00000000000..5af0de4bf9f
--- /dev/null
+++ b/dev-python/ansi2html/ansi2html-1.6.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Convert text with ANSI color codes to HTML"
+HOMEPAGE="https://pypi.org/project/ansi2html/ https://github.com/pycontribs/ansi2html"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-python/six-1.7.3[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ doc? (
+ app-text/asciidoc
+ )
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest # for BDEPEND
+
+python_install_all() {
+ use doc && doman man/${PN}.1
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
+
+src_compile() {
+ # Upstream https://github.com/pycontribs/ansi2html/issues/124
+ use doc && emake man/ansi2html.1
+ distutils-r1_src_compile
+}
next reply other threads:[~2020-11-18 14:22 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-18 14:21 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-13 8:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/ansi2html/ Michał Górny
2024-07-13 7:27 Arthur Zamarin
2024-06-22 19:09 Sebastian Pipping
2024-05-17 14:26 Michał Górny
2023-12-30 22:23 Sam James
2023-12-30 14:40 Michał Górny
2023-12-11 17:42 Michał Górny
2023-12-05 4:20 Michał Górny
2023-11-05 18:04 Michał Górny
2023-11-05 17:55 Michał Górny
2023-11-05 16:47 Arthur Zamarin
2023-11-05 14:45 Sebastian Pipping
2023-03-16 3:44 Michał Górny
2022-08-09 5:51 Michał Górny
2022-08-08 19:50 Arthur Zamarin
2022-07-09 16:12 Sebastian Pipping
2022-07-07 19:11 Arthur Zamarin
2022-07-07 19:11 Arthur Zamarin
2022-06-25 16:37 Jakov Smolić
2022-04-30 17:43 Sebastian Pipping
2022-03-15 11:16 Michał Górny
2022-03-15 9:59 Jakov Smolić
2022-02-04 12:04 Michał Górny
2022-01-31 18:15 Sebastian Pipping
2021-06-05 12:36 Michał Górny
2020-12-22 18:24 Michał Górny
2020-12-22 17:08 Thomas Deutschmann
2020-12-21 22:36 Sam James
2020-12-21 22:36 Sam James
2020-10-25 21:48 Sam James
2020-10-25 21:34 Thomas Deutschmann
2020-10-21 21:45 Michał Górny
2020-09-16 22:31 Louis Sautier
2020-07-08 13:08 Michał Górny
2020-05-21 0:36 Sebastian Pipping
2020-05-10 9:26 Mikle Kolyada
2020-05-10 9:26 Mikle Kolyada
2020-05-10 9:26 Mikle Kolyada
2020-03-17 7:23 Michał Górny
2019-12-29 13:06 David Seifert
2018-10-22 18:51 Sebastian Pipping
2018-10-20 15:09 Sebastian Pipping
2018-06-26 16:15 Mikle Kolyada
2018-06-24 12:37 Jason Zaman
2018-04-25 12:58 Sebastian Pipping
2018-04-14 0:10 Sebastian Pipping
2018-01-14 23:58 Sebastian Pipping
2017-12-05 5:44 Markus Meier
2017-10-21 16:17 Pacho Ramos
2017-02-22 22:18 Sebastian Pipping
2016-07-23 18:40 Patrice Clement
2016-07-23 18:40 Patrice Clement
2016-03-12 11:40 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1605709212.a5eca1d81ba49e761ac15de146c75b0d38708b48.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox